//****************************************************************************
// Copyright (C) 2005,  Lucian Constantin <struct_bylighting@yahoo.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//****************************************************************************

#ifndef TOC_H
#define TOC_H
#include <qstring.h>
#include "editor.h"
#include "debug.h"

#ifdef USING_QT3
#include <qmultilineedit.h>
#endif
#ifdef USING_QT4
#include <q3multilineedit.h>
#endif


class TocParser {
public:
	TocParser() {}
	virtual ~TocParser() {}
	virtual QString parse(Q3MultiLineEdit *e) = 0;
};

class TocC: public TocParser {
public:
	TocC(): TocParser() {}
	virtual ~TocC() {}
	virtual QString parse(Q3MultiLineEdit *e);
};	

class TocLatex: public TocParser {
public:
	TocLatex(): TocParser() {}
	virtual ~TocLatex() {}
	virtual QString parse(Q3MultiLineEdit *e);
};	

#endif
