//****************************************************************************
// Copyright (C) 2005,  Lucian Constantin <struct_bylighting@yahoo.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//****************************************************************************

#ifndef WWWDIALOG_H
#define WWWDIALOG_H
#include "global.h"
#include <qdialog.h>

// forward declarations
class QLabel;
class QLineEdit;
class QPushButton;

class WWWDialog: public QDialog {
	Q_OBJECT

public:
	WWWDialog();

private slots:
	void clicked_ok();

private:
	QLabel *label1_;
	QLineEdit *proxy_;

	QLabel *label2_;
	QLineEdit *proxy_port_;

	QLabel *label3_;
	QLineEdit *username_;

	QLabel *label4_;
	QLineEdit *password_;

	QPushButton *button_ok_;
	QPushButton *button_cancel_;
};


#endif // ALIASDIALOG_H


